org.eclipse.cdt.core.settings.model.util

## Class CExtensionUtil

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.CExtensionUtil

    public class CExtensionUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CExtensionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.core.runtime.IConfigurationElement` `getFirstConfigurationElement(ICConfigExtensionReference ref, String name, boolean caseSensitive)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CExtensionUtil

    public CExtensionUtil()

### Method Detail

#### getFirstConfigurationElement

    public static org.eclipse.core.runtime.IConfigurationElement getFirstConfigurationElement(ICConfigExtensionReference ref,
                                                                                              String name,
                                                                                              boolean caseSensitive)
                                                                                       throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`